player = {
	img = love.graphics.newImage('img/player/player.png'),
	x = 120,
	y = 65,
	yvel = 0,
	wid = 28,
	hig = 37,
	speed = 60,
	fall = 5,
	jump = -500,
}

function player.update(dt)

	--Left and right movement--
	if love.keyboard.isDown('left') and not level.isBlock(player.x, player.y + player.hig/2, 32) then
		player.x = player.x - player.speed*dt
	end

	if love.keyboard.isDown('right') and not level.isBlock(player.x + player.wid, player.y + player.hig/2, 32) then
		player.x = player.x + player.speed*dt
	end

	--falling--
	if not level.isBlock(player.x + player.wid, player.y + player.hig, 32) and not level.isBlock(player.x, player.y + player.hig, 32) then
		player.yvel = player.yvel + player.fall*dt
	end

	--But don't keep falling if you're on a block--
	if level.isBlock(player.x + player.wid, player.y + player.hig, 32) and level.isBlock(player.x, player.y + player.hig, 32) then
		player.yvel = 0
	end

	--jumping--
	if love.keyboard.isDown('up') and level.isBlock(player.x + player.wid/2, player.y + player.hig, 32) then
		player.yvel = player.jump*dt
	end

	--velocity stuff--
	player.y = player.y + player.yvel

end

function player.draw()
	love.graphics.draw(player.img, player.x, player.y)
end